The Enrollment Verification endpoint is used to finalize a consumer enrollment after the consumer’s identity has been physically verified at the casino. This endpoint is relevant for consumers who completed the enrollment process online. After arriving at the casino cage, casino personnel verify the consumer’s identity and this endpoint is used to submit the verification result. If a successful verification response (Y) is submitted, the enrollment is finalized and the consumer is eligible to begin transacting.
PUT https://cce.cashline.certegy.com/v1/customer/verify-enrollment-details
| Field / Parameter | Value | Field Values or Constraints |
|---|---|---|
| trxID | 123456 | 4 / 20 Alphanumeric, a-z, A-Z, 0-9 - (dash) (Must be Unique for 2 years) |
| idToken | 1b8211d5-a0e7-11ea-9630-73b018443428 | Max 60 Alphanumeric and dash |
| idVerifiedIndicator | Y=yes or N=no | 1 byte Y=yes or N=no. IF no, consumer enrollment is purged |
Request Example — Identity Verified
{
"trxID": "67730",
"idToken": "ed96300b-34d4-11f1-8132-0d30356da45e",
"idVerifiedIndicator": "Y"
}
When idVerifiedIndicator is set to Y, the consumer enrollment is finalized, and the consumer may begin transacting.
Request Example — Identity Not Verified
{
"trxID": "67730",
"idToken": "ed96300b-34d4-11f1-8132-0d30356da45e",
"idVerifiedIndicator": "N"
}
When idVerifiedIndicator is set to N, the enrollment is not finalized, the enrollment record is purged, and the consumer may re-enroll later.
Successful Response – HTTPS 200
{
"trxID": "67730",
"trxRefID": "1665240054940",
"status": "Success"
}
| Field / Parameter | Value | Field Values or Constraints |
|---|---|---|
| trxID | 123456 | 4 / 20 Alphanumeric, a-z, A-Z, 0-9 - (dash) |
| trxRefID | 5604490000014 | 4 / 36 Alphanumeric, a-z, A-Z, 0-9 - (dash) |
| status | Success or Errors | Status of the request processing |
Error Response — Consumer Not Found – HTTPS 400 and HTTPS 500
The following response is returned when the consumer token provided in the request cannot be matched to an existing enrollment record.
{
"errors": [{
"trxID": "67730",
"trxRefID": "1665240054941",
"errorPath": "/customer/verify-enrollment-details",
"errorMessage": "Consumer Not Found",
"errorDetails": "The request could not be processed with the consumer token provided, please check that the consumer token is valid and please try again.",
"errorType": "Decline",
"errorDate": "05-04-2026 12:04:18",
"responseCode": "0378",
"adverseAction": false
}]
}
Error Response — Not Eligible for Verification – HTTPS 400 and HTTPS 500
The following response is returned when the consumer is not eligible for enrollment verification. This may occur if the consumer has not completed the online enrollment process or if the enrollment is no longer in a verifiable state.
{
"errors": [{
"trxID": "67730",
"trxRefID": "1665240054942",
"errorPath": "/customer/verify-enrollment-details",
"errorMessage": "Not Eligible for Verification",
"errorDetails": "The consumer is not eligible for enrollment verification. Please confirm the consumer has completed the online enrollment process and try again.",
"errorType": "Decline",
"errorDate": "05-04-2026 12:04:18",
"responseCode": "0378",
"adverseAction": false
}]
}